OpenVPN from 2.6.0 through 2.6.10 in a server role accepts multiple exit notifications from authenticated clients which will extend the validity of a closing session
Source: OpenVPN Inc.
Max CVSS
N/A
EPSS Score
0.04%
Published
2024-07-08
Updated
2024-07-09
OpenVPN plug-ins on Windows with OpenVPN 2.6.9 and earlier could be loaded from any directory, which allows an attacker to load an arbitrary plug-in which can be used to interact with the privileged OpenVPN interactive service.
Source: OpenVPN Inc.
Max CVSS
9.8
EPSS Score
0.07%
Published
2024-07-08
Updated
2024-07-11
The interactive service in OpenVPN 2.6.9 and earlier allows an attacker to send data causing a stack overflow which can be used to execute arbitrary code with more privileges.
Source: OpenVPN Inc.
Max CVSS
7.8
EPSS Score
0.04%
Published
2024-07-08
Updated
2024-07-11
The interactive service in OpenVPN 2.6.9 and earlier allows the OpenVPN service pipe to be accessed remotely, which allows a remote attacker to interact with the privileged OpenVPN interactive service.
Source: OpenVPN Inc.
Max CVSS
7.5
EPSS Score
0.06%
Published
2024-07-08
Updated
2024-07-11
Use after free in OpenVPN version 2.6.0 to 2.6.6 may lead to undefined behavoir, leaking memory buffers or remote execution when sending network buffers to a remote peer.
Source: OpenVPN Inc.
Max CVSS
9.8
EPSS Score
0.52%
Published
2023-11-11
Updated
2023-11-29
Using the --fragment option in certain configuration setups OpenVPN version 2.6.0 to 2.6.6 allows an attacker to trigger a divide by zero behaviour which could cause an application crash, leading to a denial of service.
Source: OpenVPN Inc.
Max CVSS
7.5
EPSS Score
0.05%
Published
2023-11-11
Updated
2023-11-29
The nodejs framework in OpenVPN Connect 3.0 through 3.4.3 (Windows)/3.4.7 (macOS) was not properly configured, which allows a local user to execute arbitrary code within the nodejs process context via the ELECTRON_RUN_AS_NODE environment variable
Source: OpenVPN Inc.
Max CVSS
N/A
EPSS Score
0.04%
Published
2024-02-20
Updated
2024-02-20
The OpenVPN GUI installer before version 2.6.9 did not set the proper access control restrictions to the installation directory of OpenVPN binaries when using a non-standard installation path, which allows an attacker to replace binaries to run arbitrary executables.
Source: OpenVPN Inc.
Max CVSS
N/A
EPSS Score
0.04%
Published
2024-02-21
Updated
2024-02-22
OpenVPN Connect version 3.0 through 3.4.6 on macOS allows local users to execute code in external third party libraries using the DYLD_INSERT_LIBRARIES environment variable
Source: OpenVPN Inc.
Max CVSS
7.8
EPSS Score
0.04%
Published
2024-01-08
Updated
2024-01-11
The PKCS#7 parser in OpenVPN 3 Core Library versions through 3.8.3 did not properly validate the parsed data, which would result in the application crashing.
Source: OpenVPN Inc.
Max CVSS
N/A
EPSS Score
0.04%
Published
2024-02-29
Updated
2024-02-29
OpenVPN Access Server before 2.11 uses a weak random generator used to create user session token for the web portal
Source: OpenVPN Inc.
Max CVSS
7.5
EPSS Score
0.15%
Published
2022-07-06
Updated
2022-07-15
The OpenVPN Access Server installer creates a log file readable for everyone, which from version 2.10.0 and before 2.11.0 may contain a random generated admin password
Source: OpenVPN Inc.
Max CVSS
7.5
EPSS Score
0.15%
Published
2022-07-06
Updated
2023-07-21
OpenVPN Connect versions before 3.4.0.4506 (macOS) and OpenVPN Connect before 3.4.0.3100 (Windows) allows man-in-the-middle attackers to intercept configuration profile download requests which contains the users credentials
Source: OpenVPN Inc.
Max CVSS
5.9
EPSS Score
0.09%
Published
2023-10-17
Updated
2023-10-24
OpenVPN 2.1 until v2.4.12 and v2.5.6 may enable authentication bypass in external authentication plug-ins when more than one of them makes use of deferred authentication replies, which allows an external user to be granted access with only partially correct credentials.
Source: OpenVPN Inc.
Max CVSS
9.8
EPSS Score
0.71%
Published
2022-03-18
Updated
2022-09-09
OpenVPN Access Server 2.10 and prior versions are susceptible to resending multiple packets in a response to a reset packet sent from the client which the client again does not respond to, resulting in a limited amplification attack.
Source: OpenVPN Inc.
Max CVSS
7.5
EPSS Score
0.09%
Published
2022-07-06
Updated
2022-07-14
OpenVPN Access Server 2.9.0 through 2.9.4 allow remote attackers to inject arbitrary web script or HTML via the web login page URL.
Source: OpenVPN Inc.
Max CVSS
6.1
EPSS Score
0.11%
Published
2021-09-23
Updated
2021-09-29
OpenVPN Connect 3.2.0 through 3.3.0 allows local users to load arbitrary dynamic loadable libraries via an OpenSSL configuration file if present, which allows the user to run arbitrary code with the same privilege level as the main OpenVPN process (OpenVPNConnect.exe).
Source: OpenVPN Inc.
Max CVSS
7.8
EPSS Score
0.06%
Published
2021-07-02
Updated
2021-07-09
OpenVPN before version 2.5.3 on Windows allows local users to load arbitrary dynamic loadable libraries via an OpenSSL configuration file if present, which allows the user to run arbitrary code with the same privilege level as the main OpenVPN process (openvpn.exe).
Source: OpenVPN Inc.
Max CVSS
7.8
EPSS Score
0.07%
Published
2021-07-02
Updated
2021-07-09
OpenVPN 3 Core Library version 3.6 and 3.6.1 allows a man-in-the-middle attacker to bypass the certificate authentication by issuing an unrelated server certificate using the same hostname found in the verify-x509-name option in a client configuration.
Source: OpenVPN Inc.
Max CVSS
7.4
EPSS Score
0.09%
Published
2021-07-12
Updated
2022-10-27
OpenVPN Access Server 2.7.3 to 2.8.7 allows remote attackers to trigger an assert during the user authentication phase via incorrect authentication token data in an early phase of the user authentication resulting in a denial of service.
Source: OpenVPN Inc.
Max CVSS
7.5
EPSS Score
0.20%
Published
2021-06-04
Updated
2022-09-20
OpenVPN 2.5.1 and earlier versions allows a remote attackers to bypass authentication and access control channel data on servers configured with deferred authentication, which can be used to potentially trigger further information leaks.
Source: OpenVPN Inc.
Max CVSS
7.5
EPSS Score
2.89%
Published
2021-04-26
Updated
2022-08-05
OpenVPN Access Server 2.8.7 and earlier versions allows a remote attackers to bypass authentication and access control channel data on servers configured with deferred authentication, which can be used to potentially trigger further information leaks.
Source: OpenVPN Inc.
Max CVSS
5.3
EPSS Score
0.13%
Published
2021-06-04
Updated
2022-08-05
Private Tunnel installer for macOS version 3.0.1 and older versions may corrupt system critical files it should not have access via symlinks in /tmp.
Source: OpenVPN Inc.
Max CVSS
7.8
EPSS Score
0.04%
Published
2021-05-26
Updated
2021-06-02
OpenVPN Connect installer for macOS version 3.2.6 and older may corrupt system critical files it should not have access via symlinks in /tmp.
Source: OpenVPN Inc.
Max CVSS
7.1
EPSS Score
0.04%
Published
2021-03-30
Updated
2021-04-06
OpenVPN Access Server older than version 2.8.4 and version 2.9.5 generates new user authentication tokens instead of reusing exiting tokens on reconnect making it possible to circumvent the initial token expiry timestamp.
Source: OpenVPN Inc.
Max CVSS
7.5
EPSS Score
0.08%
Published
2020-07-14
Updated
2021-11-23
54 vulnerabilities found
1 2 3
This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!